//CGfxCloth - [2020-04-13 11:57:46]
#ifndef _CGFXCLOTH_H_
#define _CGFXCLOTH_H_

#include "CFTTVector32.h"
#include "FTTVector.h"

/*
001A15A4 CGfxCloth::CGfxCloth(CFTTVector32 *,bool *,ushort *,ushort,ushort,float)
001A67C4 CGfxCloth::~CGfxCloth()
001A238E CGfxCloth::SetVertex(ushort,CFTTVector32)
001A23A6 CGfxCloth::GetVertex(ushort)
001A23BE CGfxCloth::GetNormal(ushort)
001A23D8 CGfxCloth::Process(float)
001A2968 CGfxCloth::StretchAll(FTTVector<CGfxClothStretchConstraint> const&,float)
001A2A9C CGfxCloth::Dampen()
*/

class CGfxClothStretchConstraint {
public:
  int un_0;
};

class CGfxCloth {
public:
  CGfxCloth(CFTTVector32 *, bool *, ushort *, ushort, ushort, float);     //001A15A4
  ~CGfxCloth();                                                           //001A67C4
  void SetVertex(ushort, CFTTVector32);                                   //001A238E
  void GetVertex(ushort);                                                 //001A23A6
  void GetNormal(ushort);                                                 //001A23BE
  void Process(float);                                                    //001A23D8
  void StretchAll(FTTVector<CGfxClothStretchConstraint> const &, float);  //001A2968
  void Dampen();                                                          //001A2A9C
};

#endif  //_CGFXCLOTH_H_